> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance

> flick balance



## OpenAPI

````yaml /openapi/connect.json get /merchant/balances
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/balances:
    get:
      tags:
        - ''
      summary: Balance
      description: flick balance
      operationId: getting balance
      parameters:
        - name: category
          in: query
          description: The category of balances (e.g., payout, api , collections)
          schema:
            type: string
            enum:
              - payout
              - walletapi
              - collections
          required: true
        - name: currency
          in: query
          description: The currency code (e.g., NGN, USD)
          schema:
            type: string
            example: NGN / USD
      responses:
        '200':
          description: banks fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
        '404':
          description: Not Found
      security:
        - bearerAuth: []
components:
  schemas:
    BalanceResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: payout retrieved successfully
        data:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    example: NGN
                  collection_balance:
                    type: string
                    example: '118405'
                  payout_balance:
                    type: string
                    example: '8405'
                  api_balance:
                    type: string
                    example: '0'
      example:
        status: 200
        message: balance retrieved successfully
        data:
          - currency: NGN
            collection_balance: 18405
            payout_balance: 4405
            api_balance: 0
          - currency: USD
            collection_balance: 0
            payout_balance: 0
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.